
QGIS Application - Bug report #10206

Remove Layer with Openlayer basemap crashes project

2014-05-07 11:26 PM - Antonio Locandro

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 18652

Description

If you have a project with vector layers and a openlayers basemap, removing the vector layer will crash the file at some point. Using QGIS

2.2 32 bit and Windows 8.1

History

#1 - 2014-05-08 06:50 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Priority changed from Normal to High

Hi Antonio:

    -  does happen in a reproducible way? if yes, can you attach project and sample data?

    -  have you tested disabling any other 3rd party plugin?

    -  it does happen only if you have a OpenLayer plugin basemap in the project?

#2 - 2014-05-08 03:29 PM - Antonio Locandro

- File crash.zip added

Here is the data

#3 - 2014-05-08 03:31 PM - Antonio Locandro

I have tried with qgis --noplugins and it still happens

Start a new project

Add a few layers

Save project

Start removing layers one by one

At some point it crashes, once you open the project again and attempt to remove only layer it crashes

#4 - 2014-05-09 02:27 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Target version set to Version 2.4
- Priority changed from High to Severe/Regression

Confirmed with the attached project on both Linux and Windows. It does not seems related to the OL plugin as ut happens also after removing the OL

basemap, saving the project and removing then the remaining point layer. It happens also when re-opening the saved project without the OL layer and

removing the point layer. It does not happen on QGIS 2.0.1 then is a regression.

Anyway it does not happen on qgis master... so this may have solved itself already.

giovanni@sibirica ~ $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: Cannot open file '/home/OSGeo4W/apps/qgis/svg/arrows/Arrow_05.svg', because: No such file or directory

OpenlayersLayer draw

page file: file:////home/giovanni/.qgis2/python/plugins/openlayers_plugin/html/stamen_toner.html

undefined[0]: TypeError: 'null' is not an object

 extent: -7762955.9161585187539458,1733855.4037607917562127 : -6965685.5131172034889460,2415196.1818700791336596

 center: -7364320.714638, 2074525.792815

 size: 784, 670

 logicalDpiX: 96

 outputDpi: 96.000000

 mapUnitsPerPixel: 1016

 olSize: 784, 670

  adjust viewport: 1016.926534 -> 611.496226: 1303.802655 x 1114.219105

updating OpenLayers extent

undefined[0]: TypeError: 'null' is not an object

  scale image: 1303 x 1114 -> 784 x 670

OpenlayersLayer draw

 extent: -7760922.0630895355716348,1724703.0649503683671355 : -6963651.6600482203066349,2406043.8430596557445824

 center: -7362286.861569, 2065373.454005

 size: 784, 670

 logicalDpiX: 96

 outputDpi: 96.000000

 mapUnitsPerPixel: 1016

 olSize: 784, 670

  adjust viewport: 1016.926534 -> 611.496226: 1303.802655 x 1114.219105

updating OpenLayers extent

  scale image: 1303 x 1114 -> 784 x 670

OpenlayersLayer draw

 extent: -24619219.2022208943963051,-21039383.7569999992847443 : 24619219.2022208943963051,21039383.7569999992847443

 center: 0.000000, 0.000000

 size: 784, 670

 logicalDpiX: 96

 outputDpi: 96.000000

 mapUnitsPerPixel: 62804

 olSize: 784, 670

  adjust viewport: 62804.130618 -> 39135.758477: 1258.144478 x 1075.200000

updating OpenLayers extent

  scale image: 1258 x 1075 -> 784 x 670

OpenlayersLayer draw

 extent: -7760922.0630895355716348,1724703.0649503683671355 : -6963651.6600482203066349,2406043.8430596557445824

 center: -7362286.861569, 2065373.454005

 size: 784, 670

 logicalDpiX: 96
 outputDpi: 96.000000

 mapUnitsPerPixel: 1016

 olSize: 784, 670

  adjust viewport: 1016.926534 -> 611.496226: 1303.802655 x 1114.219105

updating OpenLayers extent

  scale image: 1303 x 1114 -> 784 x 670

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7f2d7eeb4700 (LWP 5324)]

[New Thread 0x7f2d895af700 (LWP 5321)]

[New Thread 0x7f2d929f9700 (LWP 5316)]

[New Thread 0x7f2d93af2700 (LWP 5315)]

[New Thread 0x7f2d9c0db700 (LWP 5307)]

0x00007f2dc4e36ccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7f2dcbfe77c0 (LWP 5306))]

#0  0x00007f2dc4e36ccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00000000004f3df0 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No symbol table info available.

#3  0x00007f2dc8b2530b in QgsVectorLayer::getFeatures(QgsFeatureRequest const&) () from /usr/lib/libqgis_core.so.2.2.0

No symbol table info available.

#4  0x00007f2dc8ba0236 in QgsAtlasComposition::setCoverageLayer(QgsVectorLayer*) () from /usr/lib/libqgis_core.so.2.2.0

No symbol table info available.

#5  0x0000000000789c42 in QgsAtlasCompositionWidget::on_mAtlasCoverageLayerComboBox_currentIndexChanged(int) ()

No symbol table info available.

#6  0x0000000000816c43 in ?? ()

No symbol table info available.

#7  0x0000000000816dcb in QgsAtlasCompositionWidget::qt_metacall(QMetaObject::Call, int, void**) ()

No symbol table info available.

#8  0x00007f2dc7a32489 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#9  0x00007f2dc71884a1 in QComboBox::currentIndexChanged(int) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#10 0x00007f2dc7188507 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#11 0x00007f2dc7189bef in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0x00007f2dc7a32281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#13 0x00007f2dc7a7e6e4 in QAbstractItemModel::rowsRemoved(QModelIndex const&, int, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#14 0x00007f2dc7a17f1d in QAbstractItemModel::endRemoveRows() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#15 0x00007f2dc735cfa1 in QStandardItemModel::removeRows(int, int, QModelIndex const&) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x0000000000788f66 in QgsAtlasCompositionWidget::onLayerRemoved(QString) ()

No symbol table info available.

#17 0x0000000000816d1c in ?? ()

No symbol table info available.

#18 0x00007f2dc7a32281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.
#19 0x00007f2dc8c3f055 in QgsMapLayerRegistry::layerWillBeRemoved(QString) () from /usr/lib/libqgis_core.so.2.2.0

No symbol table info available.

#20 0x00007f2dc8a679f9 in QgsMapLayerRegistry::removeMapLayers(QStringList) () from /usr/lib/libqgis_core.so.2.2.0

No symbol table info available.

#21 0x00000000007917fd in QgsLegend::removeSelectedLayers() ()

No symbol table info available.

#22 0x000000000051fddd in QgisApp::removeLayer(bool) ()

No symbol table info available.

#23 0x0000000000809ef0 in ?? ()

No symbol table info available.

#24 0x00007f2dc7a32281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#25 0x00007f2dc6d9a132 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007f2dc6d9a31f in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x00007f2dc71ec159 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#28 0x00007f2dc71f22b2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#29 0x00007f2dc6df1144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#30 0x00007f2dc71f384b in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#31 0x00007f2dc6da0894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#32 0x00007f2dc6da60bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#33 0x00007f2dc89b8786 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.2.0

No symbol table info available.

#34 0x00007f2dc7a1de9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#35 0x00007f2dc6da1862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#36 0x00007f2dc6e21301 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#37 0x00007f2dc6e1fbee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#38 0x00007f2dc6e49112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#39 0x00007f2dc38d9d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#40 0x00007f2dc38da060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#41 0x00007f2dc38da124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#42 0x00007f2dc7a4d3bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#43 0x00007f2dc6e48d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#44 0x00007f2dc7a1cc82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#45 0x00007f2dc7a1ced7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#46 0x00007f2dc71ef171 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#47 0x0000000000795dbb in QgsLegend::handleRightClickEvent(QTreeWidgetItem*, QPoint const&) ()

No symbol table info available.

#48 0x00000000007971ef in QgsLegend::mousePressEvent(QMouseEvent*) ()

No symbol table info available.

#49 0x00007f2dc6df1429 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#50 0x00007f2dc71b13f6 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#51 0x00007f2dc72c58db in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#52 0x00007f2dc730d4f5 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#53 0x00007f2dc7a1e028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#54 0x00007f2dc6da085f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#55 0x00007f2dc6da60bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#56 0x00007f2dc89b8786 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.2.0

No symbol table info available.

#57 0x00007f2dc7a1de9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#58 0x00007f2dc6da1862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#59 0x00007f2dc6e20c35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#60 0x00007f2dc6e1fbee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#61 0x00007f2dc6e49112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#62 0x00007f2dc38d9d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#63 0x00007f2dc38da060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#64 0x00007f2dc38da124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#65 0x00007f2dc7a4d3bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#66 0x00007f2dc6e48d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#67 0x00007f2dc7a1cc82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#68 0x00007f2dc7a1ced7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
No symbol table info available.

#69 0x00007f2dc7a21f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#70 0x00000000004ee715 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

#5 - 2014-05-31 07:16 AM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

not reproducable with master

#6 - 2014-05-31 07:28 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

I had already noticed that on master was ok, so let's assume (also because of lack of feedback) that this is fixed.

Files

crash.zip 10.6 KB 2014-05-08 Antonio Locandro
